%define	version	3.5.9
%define	release	%mkrel 2
%define	major	0
%define	libname	%mklibname %{name} %{major}

# build options
%define	enable_dante	0
%{?_with_dante: %define enable_dante 1}

Summary:	Commandline ftp client
Name:		lftp
Version:	%{version}
Release:	%{release}
URL:		http://lftp.yar.ru/			
Group:		Networking/File transfer
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	ftp://lftp.yar.ru/lftp/%{name}-%{version}.tar.bz2
Source1:	ftp://lftp.yar.ru/lftp/%{name}-%{version}.tar.bz2.asc
Patch0:		lftp-2.2.0-lftpgetmanpage.patch
Patch1:		lftp-3.0.3-mdkconf.patch

Requires:	less
BuildRequires:	ncurses-devel
BuildRequires:	gnutls-devel
BuildRequires:	readline-devel
BuildRequires:	expat-devel
%if %enable_dante
BuildRequires:	dante-devel
%endif

%description
LFTP is a shell-like command line ftp client. The main two advantages
over other ftp clients are reliability and ability to perform tasks
in background. It will reconnect and reget the file being transferred
if the connection broke. You can start a transfer in background and
continue browsing on the ftp site.  It does this all in one process.
When you have started background jobs and feel you are done, you can
just exit lftp and it automatically moves to nohup mode and completes
the transfers. It has also such nice features as reput and mirror.

Build option:
--with dante	Enable dante support

%package -n	%{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{libname}-devel
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%{name}-devel

%description -n	%{libname}-devel
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%patch0 -p1 -b .manpage
%patch1 -p1 -b .agent

%build
%configure2_5x \
	--with-included-readline=no \
	--with-modules=yes \
	--with-pager="exec less" \
%if %enable_dante
	--with-socksdante=yes \
%endif

%make 

%install
rm -rf %{buildroot}
%{makeinstall_std}

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING FAQ MIRRORS NEWS 
%doc README.* THANKS TODO lftp.lsm BUGS
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}/

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/lftp/%{version}/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%changelog
* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.5.9-2mdv2007.0
+ Revision: 130797
- no need to package big ChangeLog when NEWS is already there

* Thu Feb 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.5.9-1mdv2007.1
+ Revision: 118080
- add missing file

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 3.5.9

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.5.6-1mdv2007.1
+ Revision: 86839
- Import lftp



* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.6-1mdv2007.1
- new release

* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.5.1-2mdv2007.0
- Rebuild

* Sat Jul 22 2006 Emmanuel Andry <eandry@mandriva.org> 3.5.1-1mdv2007.0
- New release 3.5.1

* Thu Jun 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.4.7-1mdv2007.0
- New release 3.4.7
- fix macro-in-%%changelog

* Fri Apr 28 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.4.6-1mdk
- new release

* Sat Apr 15 2006 Jerome Martin <jmartin@mandriva.org> 3.4.4-1mdk
- 3.4.4

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.3.5-1mdk
- 3.3.5
- drop P4, rather use configure option for choosing pager

* Thu Oct 27 2005 Daouda LO <daouda@mandriva.com> 3.3.3-1mdk
- New release 3.3.3 (Read NEWS file for Changelog details) 

* Sat Oct 01 2005 Abel Cheung <deaddog@mandriva.org> 3.3.0-1mdk
- New release 3.3.0
- Drop patch10 (upstream)

* Fri Aug 12 2005 Abel Cheung <deaddog@mandriva.org> 3.2.1-2mdk
- Patch10(upstream): Fix lftp cutting command file buffer with -f option
- Fix Build requirement

* Thu Jun 02 2005 Abel Cheung <deaddog@mandriva.org> 3.2.1-1mdk
- New release
- Drop so-called plf support (forget the broken socks library)
- Switch from openssl to gnutls (usual license problem...)

* Thu Mar 24 2005 Abel Cheung <deaddog@mandriva.org> 3.1.3-1mdk
- New release 3.1.3
- Enable modules

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.13-2mdk
- rebuild for new readline

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.13-1mdk
- 3.0.13

* Thu Dec  9 2004 Daouda LO <daouda@mandrakesoft.com> 3.0.12-1mdk
- new release 3.0.12
  o ftp over http proxies with CONNECT method can now use proxy 
    authorization.
  o fixed delay between connection attempts (broken in 3.0.10).
  (see NEWS for the whole changelog)

* Tue Nov  9 2004 Daouda LO <daouda@mandrakesoft.com> 3.0.11-1mdk
- new release

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.7-1mdk
- new release

* Mon Jun 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.6-1mdk
- 3.0.6

* Tue Jun 01 2004 Abel Cheung <deaddog@deaddog.org> 3.0.5-1mdk
- New version

* Tue May 25 2004 Abel Cheung <deaddog@deaddog.org> 3.0.4-1mdk
- New version
- undef libtoolize

* Mon May 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.3-2mdk
- patch 1: do not break ls -otr

* Tue Apr 27 2004 Abel Cheung <deaddog@deaddog.org> 3.0.3-1mdk
- New version
- Drop patch5 (upstream)
- Merge patch2 into revamped patch1
- Convert spec to UTF-8

* Mon Apr 19 2004 Abel Cheung <deaddog@deaddog.org> 3.0.2-2mdk
- Plug memory leak with sftp + mirror (CVS)

* Thu Apr 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.2-1mdk
- 3.0.2

* Thu Apr 08 2004 Abel Cheung <deaddog@deaddog.org> 3.0.1-1mdk
- New release
- Drop patch5 (upstream)

* Fri Apr 02 2004 Abel Cheung <deaddog@deaddog.org> 3.0.0-1mdk
- New major release

* Mon Jan 19 2004 Luca Berra <bluca@vodka.it> 2.6.11-2mdk
- force plf rebuild

* Sun Jan 04 2004 Abel Cheung <deaddog@deaddog.org> 2.6.11-1mdk
- New release 
- Add PLF option (link with socks v5), and dante option
- Patch5 (CVS): Fix building with socks5

* Wed Dec 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.10-1mdk
- new releases

* Fri Nov 21 2003 Abel Cheung <deaddog@deaddog.org> 2.6.9-1mdk
- 2.6.9

* Thu Nov 06 2003 Abel Cheung <deaddog@deaddog.org> 2.6.8-1mdk
- release 2.6.8
- Drop patch3 (replaced by configure switch)

* Wed Sep 03 2003 David Baudens <baudens@mandrakesoft.com> 2.6.6-2mdk
- Remove menu entry

* Tue Jun 17 2003 Daouda LO <daouda@mandrakesoft.com> 2.6.6-1mdk
- release 2.6.6

* Sun Jun 15 2003 Stefan van der Eijk <stefan@eijk.nu> 2.6.5-2mdk
- BuildRequires

* Thu Apr  3 2003 Daouda LO <daouda@mandrakesoft.com> 2.6.5-1mdk
- release 2.6.5
	o new mirror options --log= and --script= to produce lftp 
	  commands equivalent to the actions done (log) or to be 
      done (script) by mirror. `-' as file name means stdout.
    o re-get file size and date after HTTP redirect.
    (see %%doc/Changelog for exhaustive info)

* Fri Feb 21 2003 Daouda LO <daouda@mandrakesoft.com> 2.6.4-2mdk
- rebuild against latest openssl (#1993)

* Thu Jan  2 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.4-1mdk
- Bump to 2.6.4.

* Thu Nov 21 2002 Daouda LO <daouda@mandrakesoft.com> 2.6.3-1mdk
- 2.6.3

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.2-1mdk
- new release

* Mon Aug 12 2002 Daouda LO <daouda@mandrakesoft.com> 2.6.0-1mdk
- 2.6.0
- regenerated patches. 
- png icons 

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5.4-3mdk
- regenerate automake/automake files
- patch2: s/winnt/linux/
- patch3: don't even look at provided readline
- patch4: use less at default pager
- BuildRequires: automake1.6
- Requires: less

* Tue Jul 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5.4-2mdk
- rebuild for new readline

* Tue Jun 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5.4-1mdk
- new release

* Tue May 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5.2-1mdk
- new release

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.5.1-3mdk
- Automated rebuild in gcc3.1 environment

* Sat Apr 27 2002 Daouda LO <daouda@mandrakesoft.com> 2.5.1-2mdk
- change URL
- proxy bug fix.

* Fri Apr 26 2002 Daouda LO <daouda@mandrakesoft.com> 2.5.1-1mdk
- 2.5.1 

* Tue Apr 16 2002 Daouda LO <daouda@mandrakesoft.com> 2.5.0a-1mdk
- 2.5.0a
- regenerate mandrake aliases patches

* Wed Dec 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-1mdk
- 2.4.8.

* Fri Nov 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-1mdk
- 2.4.7.

* Thu Nov 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.6-1mdk
- So time has come for the all-new 2.4.6 to come into the public eye.

* Fri Sep 28 2001 Daouda LO <daouda@mandrakesoft.com> 2.4.4-1mdk
- release 2.4.4 
  o man page updated.                                                                                                                    
  o sometimes lftp did not expand tilde in remote path - fixed.                                                                          
  o fixed `bookmark add' in cygwin port. 
  o fixed validation of ftp:ssl-auth.                                                                                                    
  o fixed a coredump with assertion "res==Ftp::OK" failed.                                                                               
  o improved abort sequence for passive mode, now wu-ftpd does not hang.                                                                 
  o compile proto-fish.so properly when configured with modules.                                                                         
  o compilation fixes.

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.4.1-2mdk
- Use new icons

* Thu Aug  9 2001 Daouda LO <daouda@mandrakesoft.com> 2.4.1-1mdk
- bug/translation release 2.4.1
	o Translation updated
	o Fixed a coredump due to incorrect memory allocation 

* Tue Jul 31 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-1mdk
- 2.4.0 final.

* Wed Jul  4 2001  Daouda Lo <daouda@mandrakesoft.com> 2.4.0-0.pre1.1mdk
- 2.4.0-pre1.

* Mon Jun 25 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.11-1mdk
- Disable modules.
- Fix compilation.
- 2.3.11.

* Fri Apr 27 2001 Daouda Lo <daouda@mandrakesoft.com> 2.3.9-1mdk
- release 2.3.9

* Thu Apr 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.8-3mdk
- Apply patch from Abel Cheung to fix buffer overflow.

* Thu Apr 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.8-2mdk
- Big5 Chinese translation from Abel Cheung (maddog@linuxhall.org).

* Mon Feb 19 2001  Daouda Lo <daouda@mandrakesoft.com> 2.3.8-1mdk
- release .

* Sun Jan 21 2001  Daouda Lo <daouda@mandrakesoft.com> 2.3.7-1mdk
- fixed OPIE/SKEY automatic password generation.  
- fixed put over http or hftp when server replies `100 Continue'.

* Fri Jan 12 2001  <daouda@ke.mandrakesoft.com> 2.3.6-1mdk
- release 
- regenerate patch1 (little change )
- patch 4 for bz{cat,more} integrated now.

* Wed Dec 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.5-4mdk
- change the buildrequires back to readline-devel which is what this package
  is called now.

* Fri Dec  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.5-3mdk
- Add bz{/cat/more} support.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.5-2mdk
- Change Buildrequires to the new lib policy.

* Sun Nov 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.5-1mdk
- insert longtitle.
- Reinsert the modules support.
- 2.3.5.

* Wed Nov 15 2000 Daouda Lo <daouda@mandrakesoft.com> 2.3.4-4mdk
- remove hardcoded path to binary in menu 

* Thu Nov 02 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.4-3mdk
- Rebuild for last gcc.

* Wed Oct 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.4-2mdk
- Disable modules support (temporary fixes for bug).

* Sun Oct 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.4-1mdk
- 2.3.4.

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.3-2mdk
- Don't compile with a custom readline take it from our tree.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.3-1mdk
- 2.3.3.

* Fri Sep 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-3mdk
- Correct icons (#458, #459).

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-2mdk
- Fix queue command.

* Fri Sep 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-1mdk
- Fix compilation with last libtool.
- 2.3.0.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.5-2mdk
- automatically added BuildRequires

* Wed Aug 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.5-1mdk
- new release
- use righ macros

* Tue Jul 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-3mdk
- Compile modules with -lc.

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-2mdk
- Rebuild due to a bad macros.

* Tue Jul 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-1mdk
- More macros.
- BM.
- 2.2.4.

* Fri Jun 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.3-1mdk
- 2.2.3.
- Use find_lang and mandir macros.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-2mdk
- Fix menu icon.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-1mdk
- Add menu entry.
- Add lftpget.1 man page from debian package.
- 2.2.0 (using 2.2.0a in fact).

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.10-1mdk
- 2.1.10.
- Update groups.

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-2mdk
- Include src/ChangeLog not ChangeLog (outdated).
- 2.1.9.

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8-1mdk
- 2.1.8.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.7-1mdk
- 2.1.7.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.6-1mdk
- 2.1.6.
- use %%configure.

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last cvs version.
- Fix completion on directory.
- more alias.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.4.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.3.

* Wed Oct 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.2

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.0

* Wed Sep 22 1999 Daouda Lo <daouda@mandrakesoft.com>
- 2.0.5

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.0.4
- add the url
- fix a bug in spec that preventing from including locales
- fix permissions (now this could be builded as non root)

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0.3 finale.

* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- pre2.0.3-990722 from CVS.
- enable --with-modules.
- Relifting of Spec files.

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Set passive by default (special Pixel ;-)).
- 2.0.1.

* Mon Jun 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0.0
